## kosmindoormap 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

option(BUILD_STANDALONE_APP "Build and install the stand-alone test/demo app." OFF)

find_package(ECM 5.90 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMDeprecationSettings)

ecm_setup_version(PROJECT VARIABLE_PREFIX KOSMINDOORMAP
    VERSION_HEADER kosmindoormap_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Quick)
find_package(Qt${QT_MAJOR_VERSION} 5.15 OPTIONAL_COMPONENTS Widgets)
find_package(KF5 REQUIRED COMPONENTS I18n)
find_package(KPublicTransport REQUIRED)
find_package(KOpeningHours)
set_package_properties(KOpeningHours PROPERTIES TYPE OPTIONAL PURPOSE "Highlight currently open amenities/shops/etc.")

if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Test Widgets)
endif()

if (BUILD_STANDALONE_APP)
    if (NOT ANDROID)
        find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Widgets)
    else()
        find_package(KF5 REQUIRED COMPONENTS Kirigami2)
        find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS QuickControls2 Svg)
        find_package(OpenSSL REQUIRED)
        if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
            set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
        endif()
    endif()
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (ie. you most likely don't need this)")

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")
find_package(BISON REQUIRED)
set_package_properties(BISON PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")

if (NOT WIN32)
    find_package(Protobuf)
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOSMIndoorMap")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KOSMIndoorMapConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KOSMIndoorMapTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOSMIndoorMapTargets.cmake)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kosmindoormap_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(osmtypetest.cpp LINK_LIBRARIES Qt::Test KOSM)
ecm_add_test(o5mparsertest.cpp LINK_LIBRARIES Qt::Test KOSM)

add_subdirectory(data/platforms)
ecm_add_test(mapviewtest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(mapcssparsertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(scenegeometrytest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(tilecachetest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(marblegeometryassemblertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(mapleveltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(levelparsertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(penwidthutiltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(platformfindertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(platformmodeltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
ecm_add_test(osmelementinfomodeltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMapQuick)

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(overpassql-cli overpassql-cli.cpp)
target_link_libraries(overpassql-cli KOSM)

add_executable(indoormap indoormap.cpp ../src/map/assets/assets.qrc)
target_compile_definitions(indoormap PRIVATE -DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")
target_link_libraries(indoormap KOSMIndoorMap Qt::Widgets)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(kosmindoormap-app
    main.cpp
    qml.qrc
)

target_include_directories(kosmindoormap-app PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(kosmindoormap-app PRIVATE
    KOSMIndoorMap
    KF5::I18n
    Qt::Quick
)

if (ANDROID)
    # explicitly add runtime dependencies and transitive link dependencies,
    # so androiddeployqt picks them up
    target_link_libraries(kosmindoormap-app PRIVATE
        KF5::Kirigami2
        Qt::Svg
        OpenSSL::SSL
        Qt::QuickControls2
    )

    kirigami_package_breeze_icons(ICONS
        document-open-symbolic
        edit-clear-symbolic
        edit-paste-symbolic
        go-down-symbolic
        go-home
        go-up-symbolic
        help-about-symbolic
        search
        view-refresh-symbolic
    )
else ()
    target_link_libraries(kosmindoormap-app PRIVATE
        Qt::Widgets
    )
    set_target_properties(kosmindoormap-app PROPERTIES OUTPUT_NAME "kosmindoormap")
endif()

if (BUILD_STANDALONE_APP)
    install(TARGETS kosmindoormap-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    if (NOT ANDROID)
        install(PROGRAMS org.kde.kosmindoormap.desktop DESTINATION ${KDE_INSTALL_APPDIR})
        #install(FILES org.kde.kosmindoormap.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    endif()
endif()

=== src/map/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (TARGET KOpeningHours)
    set(HAVE_KOPENINGHOURS TRUE)
endif()
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kosmindoormap.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kosmindoormap.h)

flex_target(mapcssscanner
    style/mapcsslexer.l
    ${CMAKE_CURRENT_BINARY_DIR}/mapcsslexer.cpp
    DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/mapcssscanner.h
    COMPILE_FLAGS "--nounistd"
)
bison_target(mapcssparser
    style/mapcssparser.y
    ${CMAKE_CURRENT_BINARY_DIR}/mapcssparser_p.cpp
    DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/mapcssparser_p.h
)
add_flex_bison_dependency(mapcssscanner mapcssparser)
set_source_files_properties(${BISON_mapcssparser_OUTPUTS} ${FLEX_mapcssscanner_OUTPUTS} PROPERTIES SKIP_AUTOMOC ON)

add_library(KOSMIndoorMap)
target_sources(KOSMIndoorMap PRIVATE
    assets/assets.qrc

    content/equipmentmodel.cpp
    content/floorlevelmodel.cpp
    content/gatemodel.cpp
    content/platform.cpp
    content/platformfinder.cpp
    content/platformmodel.cpp

    loader/boundarysearch.cpp
    loader/levelparser.cpp
    loader/mapdata.cpp
    loader/maploader.cpp
    loader/marblegeometryassembler.cpp
    loader/tilecache.cpp

    renderer/hitdetector.cpp
    renderer/painterrenderer.cpp
    renderer/stackblur.cpp

    scene/iconloader.cpp
    scene/openinghourscache.cpp
    scene/overlaysource.cpp
    scene/penwidthutil.cpp
    scene/poleofinaccessibilityfinder.cpp
    scene/scenecontroller.cpp
    scene/scenegeometry.cpp
    scene/scenegraph.cpp
    scene/scenegraphitem.cpp
    scene/view.cpp

    style/mapcsscondition.cpp
    style/mapcssdeclaration.cpp
    style/mapcssparser.cpp
    style/mapcssresult.cpp
    style/mapcssrule.cpp
    style/mapcssselector.cpp
    style/mapcssstate.cpp
    style/mapcssstyle.cpp
    ${BISON_mapcssparser_OUTPUTS}
    ${FLEX_mapcssscanner_OUTPUTS}
)

ecm_qt_declare_logging_category(KOSMIndoorMap
    HEADER logging.h
    IDENTIFIER KOSMIndoorMap::Log
    CATEGORY_NAME org.kde.kosmindoormap
    DESCRIPTION "KOSMIndoorMap"
    EXPORT KOSMINDOORMAP
)
ecm_qt_declare_logging_category(KOSMIndoorMap
    HEADER render-logging.h
    IDENTIFIER KOSMIndoorMap::RenderLog
    CATEGORY_NAME org.kde.kosmindoormap.renderer
    DESCRIPTION "KOSMIndoorMap (Rendering)"
    EXPORT KOSMINDOORMAP
)
ecm_qt_declare_logging_category(KOSMIndoorMap
    HEADER reassembly-logging.h
    IDENTIFIER KOSMIndoorMap::ReassemblyLog
    CATEGORY_NAME org.kde.kosmindoormap.reassembly
    DESCRIPTION "KOSMIndoorMap (Geometry Reassembly)"
    EXPORT KOSMINDOORMAP
)

generate_export_header(KOSMIndoorMap BASE_NAME KOSMIndoorMap)
set_target_properties(KOSMIndoorMap PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSMIndoorMap
)

target_include_directories(KOSMIndoorMap PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
target_include_directories(KOSMIndoorMap PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>)
target_link_libraries(KOSMIndoorMap
    PUBLIC Qt::Gui KOSM
    PRIVATE Qt::Network Qt::CorePrivate
)
if (TARGET KOpeningHours)
    target_link_libraries(KOSMIndoorMap PRIVATE KOpeningHours)
endif()

ecm_generate_headers(KOSMIndoorMap_Content_FORWARDING_HEADERS
    HEADER_NAMES
        EquipmentModel
        FloorLevelModel
        GateModel
        Platform
        PlatformModel
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Content_HEADERS
    RELATIVE content
)
ecm_generate_headers(KOSMIndoorMap_Loader_FORWARDING_HEADERS
    HEADER_NAMES
        MapLoader
        MapData
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Loader_HEADERS
    RELATIVE loader
)
ecm_generate_headers(KOSMIndoorMap_Renderer_FORWARDING_HEADERS
    HEADER_NAMES
        HitDetector
        PainterRenderer
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Renderer_HEADERS
    RELATIVE renderer
)
ecm_generate_headers(KOSMIndoorMap_Scene_FORWARDING_HEADERS
    HEADER_NAMES
        OverlaySource
        SceneController
        SceneGraph
        SceneGraphItem
        View
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Scene_HEADERS
    RELATIVE scene
)
ecm_generate_headers(KOSMIndoorMap_Style_FORWARDING_HEADERS
    HEADER_NAMES
        MapCSSParser
        MapCSSStyle
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Style_HEADERS
    RELATIVE style
)

install(TARGETS KOSMIndoorMap EXPORT KOSMIndoorMapTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KOSMIndoorMap_Content_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Loader_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Renderer_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Scene_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Style_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOSMIndoorMap
)
install(FILES
    ${KOSMIndoorMap_Content_HEADERS}
    ${KOSMIndoorMap_Loader_HEADERS}
    ${KOSMIndoorMap_Renderer_HEADERS}
    ${KOSMIndoorMap_Scene_HEADERS}
    ${KOSMIndoorMap_Style_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kosmindoormap_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kosmindoormap
)
ecm_qt_install_logging_categories(
    EXPORT KOSMINDOORMAP
    FILE org_kde_kosmindoormap.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/osm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (Protobuf_FOUND AND Protobuf_PROTOC_EXECUTABLE)
    set(HAVE_PROTOBUF TRUE)
    PROTOBUF_GENERATE_CPP(pbf_srcs pbf_hdrs
        pbf/fileformat.proto
        pbf/osmformat.proto
    )
    set(EXTRA_LIBS ${Protobuf_LIBRARIES} ZLIB::ZLIB)
    set_source_files_properties(${pbf_srcs} ${pbf_hdrs} PROPERTIES SKIP_AUTOMOC ON)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kosm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kosm.h)

add_library(KOSM
    datatypes.cpp
    datasetmergebuffer.cpp
    element.cpp
    geomath.cpp
    o5mparser.cpp
    osmpbfparser.cpp
    overpassquery.cpp
    overpassquerymanager.cpp
    pathutil.cpp
    stringpool.cpp
    xmlparser.cpp
    xmlwriter.cpp
    ztile.cpp
    ${pbf_srcs}
)
generate_export_header(KOSM BASE_NAME KOSM)
set_target_properties(KOSM PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSM
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_include_directories(KOSM PRIVATE ${Protobuf_INCLUDE_DIRS})
target_link_libraries(KOSM PUBLIC Qt::Core PRIVATE Qt::Network ${EXTRA_LIBS})

ecm_generate_headers(KOSM_FORWARDING_HEADERS
    HEADER_NAMES
        Datatypes
        Element
    PREFIX KOSM
    REQUIRED_HEADERS KOSM_HEADERS
)

install(TARGETS KOSM EXPORT KOSMIndoorMapTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KOSM_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOSM
)
install(FILES
    ${KOSM_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kosm_export.h
    internal.h
    stringpool.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kosm
)

## kosmindoormap 22.12.2

=== debian/changelog ===
kosmindoormap (22.12.2-2) unstable; urgency=medium

  * Make failing tests not fail the build for unstable architectures.

 -- Sandro Knauß <hefee@debian.org>  Tue, 14 Feb 2023 14:02:06 +0100

kosmindoormap (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Feb 2023 08:28:41 +0100

kosmindoormap (22.12.1-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Add the dh-sequence-pkgkde-symbolshelper build dependency to use the
    pkgkde-symbolshelper dh addon for symbols files.
  * Use the canonical form for Maintainer.
  * Re-export upstream signing key without extra signatures.
  * Fix typo in the changelog stanza of 22.12.1-1.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Feb 2023 00:28:31 +0100

kosmindoormap (22.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update signing-key for current version..
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * Update symbols from buildds for 22.08.2.
  * Add optional build dependency libkopeninghours-dev.
  * Update symbols from build for 22.12.1.

 -- Sandro Knauß <hefee@debian.org>  Mon, 30 Jan 2023 19:02:28 +0100

kosmindoormap (22.08.2-1) unstable; urgency=medium

  * Initial release (Closes: #1022272).

 -- Sandro Knauß <hefee@debian.org>  Sun, 23 Oct 2022 13:52:59 +0200

=== debian/control ===
Source: kosmindoormap
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.90~),
               flex,
               kirigami2-dev,
               libkf5i18n-dev,
               libkopeninghours-dev,
               libkpublictransport-dev,
               libprotobuf-dev,
               libqt5svg5-dev (>= 5.15~),
               libssl-dev,
               protobuf-compiler,
               qtbase5-dev (>= 5.15~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15~),
               qtquickcontrols2-5-dev (>= 5.15~),
               zlib1g-dev
Homepage: https://invent.kde.org/libraries/kosmindoormap/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15~),
         ${misc:Depends}
Description: OSM multi-floor indoor map renderer (development files)
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains development files.

Package: libkosmindoormap1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosm1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for OSM data with Qt
 Use OSM data with Qt data types to use it easily in your Qt applications.
 .
 It gives you picking support for implementing interaction with map elements.
 It supports externally provided overlay elements. It allows pre-loading and
 caching API for offline support in applications.

Package: qml-module-org-kde-kosmindoormap
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer QML module
 Open Street Map indoor map renderer module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

## kosmindoormap 22.12.3

=== debian/changelog ===
kosmindoormap (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -22,7 +23,7 @@
                qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15~),
                qtquickcontrols2-5-dev (>= 5.15~),
-               zlib1g-dev
+               zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
@@ -35,7 +36,7 @@
 Depends: libkosm1 (= ${binary:Version}),
          libkosmindoormap1 (= ${binary:Version}),
          qtbase5-dev (>= 5.15~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: OSM multi-floor indoor map renderer (development files)
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -43,7 +44,7 @@
 
 Package: libkosmindoormap1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -56,7 +57,7 @@
 
 Package: libkosm1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library for OSM data with Qt
  Use OSM data with Qt data types to use it easily in your Qt applications.
  .
@@ -70,7 +71,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .

## kosmindoormap 23.08.0

=== debian/changelog ===
kosmindoormap (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:08 +0100

kosmindoormap (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:41 +0100

kosmindoormap (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:07 +0100

kosmindoormap (23.04.2-0ubuntu3) mantic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Jun 2023 20:03:09 +0100

kosmindoormap (23.04.2-0ubuntu2) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Jun 2023 13:34:46 +0100

kosmindoormap (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kosmindoormap
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -13,8 +14,8 @@
                flex,
                kirigami2-dev,
                libkf5i18n-dev,
-               libkopeninghours-dev,
-               libkpublictransport-dev,
+               libkopeninghours-dev (>= 23.08.0~),
+               libkpublictransport-dev (>= 23.08.0~),
                libprotobuf-dev,
                libqt5svg5-dev (>= 5.15~),
                libssl-dev,
@@ -25,8 +26,8 @@
                qtquickcontrols2-5-dev (>= 5.15~),
                zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## kosmindoormap 23.08.1

=== debian/changelog ===
kosmindoormap (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:08 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                flex,
                kirigami2-dev,
                libkf5i18n-dev,
-               libkopeninghours-dev (>= 23.08.0~),
-               libkpublictransport-dev (>= 23.08.0~),
+               libkopeninghours-dev (>= 23.08.1~),
+               libkpublictransport-dev (>= 23.08.1~),
                libprotobuf-dev,
                libqt5svg5-dev (>= 5.15~),
                libssl-dev,

## kosmindoormap 23.08.4

=== debian/changelog ===
kosmindoormap (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:20 +0000

kosmindoormap (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:27 +0000

kosmindoormap (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                flex,
                kirigami2-dev,
                libkf5i18n-dev,
-               libkopeninghours-dev (>= 23.08.1~),
-               libkpublictransport-dev (>= 23.08.1~),
+               libkopeninghours-dev (>= 23.08.4~),
+               libkpublictransport-dev (>= 23.08.4~),
                libprotobuf-dev,
                libqt5svg5-dev (>= 5.15~),
                libssl-dev,

## kosmindoormap 23.08.5

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,6 @@
 ecm_add_test(mapleveltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
 ecm_add_test(levelparsertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
 ecm_add_test(penwidthutiltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
-ecm_add_test(platformfindertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
-ecm_add_test(platformmodeltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap)
-ecm_add_test(osmelementinfomodeltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMapQuick)
+ecm_add_test(platformfindertest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap KOSM_xmlioplugin)
+ecm_add_test(platformmodeltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMap KOSM_xmlioplugin)
+ecm_add_test(osmelementinfomodeltest.cpp LINK_LIBRARIES Qt::Test KOSMIndoorMapQuick KOSM_xmlioplugin)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kosmindoormap\")

add_subdirectory(osm)
add_subdirectory(map)
if (TARGET Qt::Quick)
    add_subdirectory(map-quick)
    add_subdirectory(map-publictransport-integration)
endif()
if ((NOT ANDROID AND TARGET Qt::Widgets) OR BUILD_STANDALONE_APP)
    add_subdirectory(app)
endif()
if (NOT CROSS_COMPILING)
    add_subdirectory(tools)
endif()

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(overpassql-cli overpassql-cli.cpp)
target_link_libraries(overpassql-cli KOSM KOSM_xmlioplugin)

add_executable(indoormap indoormap.cpp ../src/map/assets/assets.qrc)
target_compile_definitions(indoormap PRIVATE -DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")
target_link_libraries(indoormap PRIVATE KOSMIndoorMap Qt::Widgets KOSM_xmlioplugin)
if (TARGET KOSM_pbfioplugin)
    target_compile_definitions(indoormap PRIVATE -DHAVE_OSM_PBF_SUPPORT=1)
    target_link_libraries(indoormap PRIVATE KOSM_pbfioplugin)
else()
    target_compile_definitions(indoormap PRIVATE -DHAVE_OSM_PBF_SUPPORT=0)
endif()

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,23 @@
 target_include_directories(kosmindoormap-app PRIVATE ${CMAKE_BINARY_DIR})
 target_link_libraries(kosmindoormap-app PRIVATE
     KOSMIndoorMap
-    KF5::I18n
+    KOSM_xmlioplugin
+    KF${KF_MAJOR_VERSION}::I18n
     Qt::Quick
 )
+
+if (TARGET KOSM_pbfioplugin)
+    target_compile_definitions(kosmindoormap-app PRIVATE -DHAVE_OSM_PBF_SUPPORT=1)
+    target_link_libraries(kosmindoormap-app PRIVATE KOSM_pbfioplugin)
+else()
+    target_compile_definitions(kosmindoormap-app PRIVATE -DHAVE_OSM_PBF_SUPPORT=0)
+endif()
 
 if (ANDROID)
     # explicitly add runtime dependencies and transitive link dependencies,
     # so androiddeployqt picks them up
     target_link_libraries(kosmindoormap-app PRIVATE
-        KF5::Kirigami2
+        KF${KF_MAJOR_VERSION}::Kirigami2
         Qt::Svg
         OpenSSL::SSL
         Qt::QuickControls2

=== src/map/CMakeLists.txt ===
--- 
+++ 
@@ -96,6 +96,7 @@
 
 target_include_directories(KOSMIndoorMap PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
 target_include_directories(KOSMIndoorMap PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>)
+target_include_directories(KOSMIndoorMap INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")
 target_link_libraries(KOSMIndoorMap
     PUBLIC Qt::Gui KOSM
     PRIVATE Qt::Network Qt::CorePrivate

=== src/osm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KOSM
    abstractreader.cpp
    abstractwriter.cpp
    datatypes.cpp
    datasetmergebuffer.cpp
    element.cpp
    geomath.cpp
    io.cpp
    o5mparser.cpp
    o5mwriter.cpp
    overpassquery.cpp
    overpassquerymanager.cpp
    pathutil.cpp
    stringpool.cpp
    ztile.cpp

    io/o5mplugin.cpp
)
generate_export_header(KOSM BASE_NAME KOSM)
set_target_properties(KOSM PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSM
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(KOSM PUBLIC Qt::Core PRIVATE Qt::Network)

ecm_generate_headers(KOSM_FORWARDING_HEADERS
    HEADER_NAMES
        Datatypes
        Element
    PREFIX KOSM
    REQUIRED_HEADERS KOSM_HEADERS
)

install(TARGETS KOSM EXPORT KOSMIndoorMapTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KOSM_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOSM
)
install(FILES
    ${KOSM_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kosm_export.h
    internal.h
    stringpool.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kosm
)

add_subdirectory(io)

=== debian/changelog ===
kosmindoormap (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:44 +0000

kosmindoormap (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:13:47 +0000

kosmindoormap (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:13:01 -0700

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                flex,
                kirigami2-dev,
                libkf5i18n-dev,
-               libkopeninghours-dev (>= 23.08.4~),
-               libkpublictransport-dev (>= 23.08.4~),
+               libkopeninghours-dev (>= 23.08.5~),
+               libkpublictransport-dev (>= 23.08.5~),
                libprotobuf-dev,
                libqt5svg5-dev (>= 5.15~),
                libssl-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

unstable_architectures := i386 hurd-i386

%:
	dh $@

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH), $(unstable_architectures)))
	- dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel
endif

## kosmindoormap 24.08.1

=== debian/changelog ===
kosmindoormap (24.08.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:29 -0500

kosmindoormap (24.08.1-2) experimental; urgency=medium

  * Switch to dh_qmldeps.
  * dev package ships all qml packages for autodetection.
  * Add Multi-Arch hints.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 13:27:21 +0200

kosmindoormap (24.08.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update paths for Qt6 build.
  * Add hurd-amd64 as flaky arch.
  * Add new packages:
    - libkosmindoorrouting1
    - qml6-module-org-kde-kosmindoorrouting
    - qml6-module-org-kde-osm-editorcontroller
    - demo application
  * Use virtual package to track rebuilds.
  * Update copyright information.
  * Use pkgkde-getqmldepdends for qml6-module-org-kde-kosmindoormap.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 04:03:58 +0200

=== debian/control ===
Source: kosmindoormap
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0~),
               flex,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6service-dev,
               libkirigami-dev (>= 6.3~),
               libkopeninghours-dev (>= 24.08~),
               libkpublictransport-dev (>= 24.08~),
               libprotobuf-dev,
               librecast-dev,
               libssl-dev,
               protobuf-compiler,
               qml6-module-org-kde-contacts,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-org-kde-kopeninghours,
               qml6-module-org-kde-kpublictransport,
               qml6-module-qtcore,
               qml6-module-qtqml-models,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               zlib1g-dev,
Homepage: https://invent.kde.org/libraries/kosmindoormap/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: kosmindoormap-demo
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map demo application
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains a demo application.

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         libkosmindoorrouting1 (= ${binary:Version}),
         qml6-module-org-kde-kosmindoormap (= ${binary:Version}),
         qml6-module-org-kde-kosmindoorrouting (= ${binary:Version}),
         qml6-module-org-kde-osm-editorcontroller (= ${binary:Version}),
         qt6-base-dev (>= 6.5~),
         ${misc:Depends},
Description: OSM multi-floor indoor map renderer (development files)
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains development files.

Package: libkosmindoormap1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM multi-floor indoor map renderer
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosmindoorrouting1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM multi-floor indoor map navigation
 Open Street Map indoor map navigation of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosm1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for OSM data with Qt
 Use OSM data with Qt data types to use it easily in your Qt applications.
 .
 It gives you picking support for implementing interaction with map elements.
 It supports externally provided overlay elements. It allows pre-loading and
 caching API for offline support in applications.

Package: qml6-module-org-kde-kosmindoormap
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map renderer QML module
 Open Street Map indoor map renderer module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: qml6-module-org-kde-kosmindoorrouting
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map navigation QML module
 Open Street Map indoor map navigation module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: qml6-module-org-kde-osm-editorcontroller
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: OSM indoor editor QML module
 Open Street Map indoor map editor for QML.

## kosmindoormap 24.08.3

=== debian/changelog ===
kosmindoormap (24.08.3-0ubuntu5) plucky; urgency=medium

  * Rebuild against Qt 6.8.1

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Dec 2024 15:55:35 +0000

kosmindoormap (24.08.3-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:58:23 -0600

kosmindoormap (24.08.3-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:58:23 -0600

kosmindoormap (24.08.3-0ubuntu2) plucky; urgency=medium

  * Rebase againt previous uploads.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:13:51 +0000

kosmindoormap (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:29 +0000

kosmindoormap (24.08.1-2ubuntu2) plucky; urgency=medium

  * Fix QML depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 12:31:38 -0600

=== debian/control ===
--- 
+++ 
@@ -44,9 +44,7 @@
 Package: kosmindoormap-demo
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map demo application
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -113,9 +111,7 @@
 Package: qml6-module-org-kde-kosmindoormap
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
@@ -129,8 +125,7 @@
 Package: qml6-module-org-kde-kosmindoorrouting
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation QML module
  Open Street Map indoor map navigation module for QML.
  .
@@ -144,7 +139,6 @@
 Package: qml6-module-org-kde-osm-editorcontroller
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM indoor editor QML module
  Open Street Map indoor map editor for QML.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

unstable_architectures := i386 hurd-i386 hurd-amd64

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_STANDALONE_APP=TRUE

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH), $(unstable_architectures)))
	- dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel
endif

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

## kosmindoormap 24.12.0

=== debian/changelog ===
kosmindoormap (24.12.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:03:27 +0100

kosmindoormap (24.12.0-2) experimental; urgency=medium

  * Update build dependencies to run tests successfully.
  * Fix filtering for archs failing tests.
  * empty list of failing archs, to check again what archs are fine.

 -- Sandro Knauß <hefee@debian.org>  Tue, 17 Dec 2024 00:10:51 +0100

kosmindoormap (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.3).
  * dev packages now ship the needed qml modules.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * New upstream release (24.12.0).
  * Bump dependecy on kopeninghours/kpublictransport.
  * Update qmlfiles for kosmindoormap-demo.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 22:32:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kosmindoormap
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -17,34 +16,34 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 24.08~),
-               libkpublictransport-dev (>= 24.08~),
+               libkopeninghours-dev (>= 24.12~),
+               libkpublictransport-dev (>= 24.12~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,
                protobuf-compiler,
                qml6-module-org-kde-contacts,
                qml6-module-org-kde-kirigamiaddons-formcard,
-               qml6-module-org-kde-kopeninghours,
-               qml6-module-org-kde-kpublictransport,
-               qml6-module-qtcore,
-               qml6-module-qtqml-models,
-               qml6-module-qtquick-dialogs,
                qt6-base-dev (>= 6.5~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.5~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: kosmindoormap-demo
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map demo application
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -111,7 +110,9 @@
 Package: qml6-module-org-kde-kosmindoormap
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
@@ -125,7 +126,9 @@
 Package: qml6-module-org-kde-kosmindoorrouting
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation QML module
  Open Street Map indoor map navigation module for QML.
  .
@@ -139,6 +142,8 @@
 Package: qml6-module-org-kde-osm-editorcontroller
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM indoor editor QML module
  Open Street Map indoor map editor for QML.
